Get Project Pull Request List
GET/api/v5/repos/:owner/:repo/pulls
Request
Path Parameters
Repository space address (organization or individual's address path)
Repository path (path)
Query Parameters
User authorization code
Optional. Pull Request status: all, open, closed, locked, merged. Default: all
Optional. The name of the target branch for the Pull Request submission.
Optional. The start updated time, with the time format required to be ISO 8601, e.g., 2024-11-20T13:00:21+08:00.
Optional. Ascending or descending. Default: desc (asc or desc)
Optional. Sort field: created, updated Default: created
Optional. Milestone sequence number (id)
A list of tag names separated by commas
Current page number: defaults to 1
The number of items per page, with a maximum of 100. The default is 20.
Optional. Username of the PR creator
Optional. PR负责人用户名
Optional. PR reviewer username
Returns merged merge requests after the specified time, with the time format required to be in ISO 8601, for example: 2024-11-20T13:00:21+08:00
Returns merged merge requests before the specified time, with the time format required to be in ISO 8601, for example: 2024-11-20T13:00:21+08:00
If true, returns only the count of merge requests; the default is false.
Returns merge requests created after the specified time, with the time format required to be in ISO 8601, for example: 2024-11-20T13:00:21+08:00
Returns merge requests created before the specified time, with the time format required to be in ISO 8601, for example: 2024-11-20T13:00:21+08:00
Returns merge requests updated before the specified time, with the time format required to be in ISO 8601, e.g., 2024-11-20T13:00:21+08:00
Returns merge requests updated after the specified time, with the time format required to be in ISO 8601, e.g., 2024-11-20T13:00:21+08:00
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- Array [
- ]
- ]
labels object[]required
label added time
user objectrequired
head objectrequired
user objectrequired
repo objectrequired
owner objectrequired
assigner objectrequired
base objectrequired
user objectrequired
repo objectrequired
owner objectrequired
assigner objectrequired
diff_refs objectrequired
This field is deprecated, if needed please call the pull request details interface
closed_by objectrequired
Visibility, public: Publicly visible, other: Visible to project members only
merged_by object
Merged Person
[
{
"number": 0,
"html_url": "string",
"url": "string",
"close_related_issue": 0,
"prune_branch": true,
"draft": true,
"labels": [
{
"id": 0,
"name": "string",
"color": "string",
"created_at": "string",
"updated_at": "string"
}
],
"user": {
"id": "string",
"user_id": "string",
"object_id": "string",
"login": "string",
"name": "string",
"state": "string",
"avatar_url": "string",
"email": "string",
"name_cn": "string",
"html_url": "string"
},
"assignees": [
"string"
],
"testers": [
"string"
],
"head": {
"label": "string",
"ref": "string",
"sha": "string",
"user": {
"id": "string",
"login": "string",
"name": "string",
"state": "string",
"avatar_url": "string",
"email": "string",
"name_cn": "string",
"html_url": "string"
},
"repo": {
"id": 0,
"full_path": "string",
"full_name": "string",
"human_name": "string",
"name": "string",
"path": "string",
"description": "string",
"owner": {
"id": "string",
"login": "string",
"name": "string",
"state": "string",
"avatar_url": "string",
"email": "string",
"name_cn": "string",
"html_url": "string"
},
"assigner": {
"id": "string",
"login": "string",
"name": "string",
"state": "string",
"avatar_url": "string",
"email": "string",
"name_cn": "string",
"html_url": "string"
},
"internal": true,
"html_url": "string"
}
},
"base": {
"label": "string",
"ref": "string",
"sha": "string",
"user": {
"id": "string",
"login": "string",
"name": "string",
"state": "string",
"avatar_url": "string",
"email": "string",
"name_cn": "string",
"html_url": "string"
},
"repo": {
"id": 0,
"full_path": "string",
"full_name": "string",
"human_name": "string",
"name": "string",
"path": "string",
"description": "string",
"owner": {
"id": "string",
"login": "string",
"name": "string",
"state": "string",
"avatar_url": "string",
"email": "string",
"name_cn": "string",
"html_url": "string"
},
"assigner": {
"id": "string",
"login": "string",
"name": "string",
"state": "string",
"avatar_url": "string",
"email": "string",
"name_cn": "string",
"html_url": "string"
},
"internal": true,
"html_url": "string"
}
},
"id": 0,
"iid": 0,
"project_id": 0,
"title": "string",
"body": "string",
"state": "string",
"assignees_number": 0,
"testers_number": 0,
"created_at": "string",
"updated_at": "string",
"merged_at": "string",
"closed_at": "string",
"target_branch": "string",
"source_branch": "string",
"source_project_id": 0,
"force_remove_source_branch": true,
"web_url": "string",
"merge_request_type": "string",
"review_mode": "string",
"added_lines": 0,
"removed_lines": 0,
"diff_refs": {
"base_sha": "string",
"head_sha": "string",
"start_sha": "string"
},
"notes": 0,
"pipeline_status": "string",
"pipeline_status_with_code_quality": "string",
"source_git_url": "string",
"can_merge_check": true,
"mergeable": true,
"locked": true,
"closed_by": {
"id": 0,
"name": "string",
"username": "string",
"iam_id": "string",
"nick_name": "string",
"state": "string",
"avatar_url": "string",
"email": "string",
"name_cn": "string",
"web_url": "string"
},
"visibility_reason": "string",
"merged_by": {
"id": "string",
"login": "string",
"name": "string",
"avatar_url": "string",
"html_url": "string"
}
}
]
{
"all": 1,
"opened": 1,
"closed": 0,
"merged": 0,
"locked": 0
}